ON_4dPoint Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

## Public Member Functions

| ON_4dPoint ()
| ON_4dPoint (double x, double y, double z, double w)
| ON_4dPoint (const ON_2dPoint &)
| ON_4dPoint (const ON_3dPoint &)
| ON_4dPoint (const ON_2dVector &)
| ON_4dPoint (const ON_3dVector &)
| ON_4dPoint (const double *)
| ON_4dPoint (const ON_2fPoint &)
| ON_4dPoint (const ON_3fPoint &)
| ON_4dPoint (const ON_4fPoint &)
| ON_4dPoint (const ON_2fVector &)
| ON_4dPoint (const ON_3fVector &)
| ON_4dPoint (const float *)
| operator double * ()
| operator const double * () const
ON_4dPoint & | operator= (const ON_2dPoint &)
ON_4dPoint & | operator= (const ON_3dPoint &)
ON_4dPoint & | operator= (const ON_2dVector &)
ON_4dPoint & | operator= (const ON_3dVector &)
ON_4dPoint & | operator= (const double *)
ON_4dPoint & | operator= (const class ON_2fPoint &)
ON_4dPoint & | operator= (const class ON_3fPoint &)
ON_4dPoint & | operator= (const class ON_4fPoint &)
ON_4dPoint & | operator= (const class ON_2fVector &)
ON_4dPoint & | operator= (const class ON_3fVector &)
ON_4dPoint & | operator= (const float *)
ON_4dPoint & | operator*= (double)
ON_4dPoint & | operator/= (double)
ON_4dPoint & | operator+= (const ON_4dPoint &)
ON_4dPoint & | operator-= (const ON_4dPoint &)
ON_4dPoint | operator* (double) const
ON_4dPoint | operator/ (double) const
ON_4dPoint | operator+ (const ON_4dPoint &) const
ON_4dPoint | operator- (const ON_4dPoint &) const
double | operator* (const ON_4dPoint &) const
ON_4dPoint | operator* (const ON_Xform &) const
bool | operator== (ON_4dPoint) const
bool | operator!= (const ON_4dPoint &) const
double & | operator[] (int)
double | operator[] (int) const
double & | operator[] (unsigned int)
double | operator[] (unsigned int) const
bool | IsValid () const
bool | IsUnsetPoint () const
void | Set (double x, double y, double z, double w)
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
int | MinimumCoordinateIndex () const
double | MinimumCoordinate () const
void | Zero ()
bool | Normalize ()
void | Transform (const ON_Xform &)

## Public Attributes

double | x
double | y
double | z
double | w

## Detailed Description

Definition at line 572 of file opennurbs_point.h.

## Constructor & Destructor Documentation

## ON_4dPoint() [1/13]

ON_4dPoint::ON_4dPoint | ( |  | ) |

## ON_4dPoint() [2/13]

ON_4dPoint::ON_4dPoint | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w
| ) |  |

## ON_4dPoint() [3/13]

ON_4dPoint::ON_4dPoint | ( | const ON_2dPoint & |  | ) |

## ON_4dPoint() [4/13]

ON_4dPoint::ON_4dPoint | ( | const ON_3dPoint & |  | ) |

## ON_4dPoint() [5/13]

ON_4dPoint::ON_4dPoint | ( | const ON_2dVector & |  | ) |

## ON_4dPoint() [6/13]

ON_4dPoint::ON_4dPoint | ( | const ON_3dVector & |  | ) |

## ON_4dPoint() [7/13]

ON_4dPoint::ON_4dPoint | ( | const double * |  | ) |

## ON_4dPoint() [8/13]

ON_4dPoint::ON_4dPoint | ( | const ON_2fPoint & |  | ) |

## ON_4dPoint() [9/13]

ON_4dPoint::ON_4dPoint | ( | const ON_3fPoint & |  | ) |

## ON_4dPoint() [10/13]

ON_4dPoint::ON_4dPoint | ( | const ON_4fPoint & |  | ) |

## ON_4dPoint() [11/13]

ON_4dPoint::ON_4dPoint | ( | const ON_2fVector & |  | ) |

## ON_4dPoint() [12/13]

ON_4dPoint::ON_4dPoint | ( | const ON_3fVector & |  | ) |

## ON_4dPoint() [13/13]

ON_4dPoint::ON_4dPoint | ( | const float * |  | ) |

## Member Function Documentation

## IsUnsetPoint()

bool ON_4dPoint::IsUnsetPoint | ( |  | ) | const

## IsValid()

bool ON_4dPoint::IsValid | ( |  | ) | const

## MaximumCoordinate()

double ON_4dPoint::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_4dPoint::MaximumCoordinateIndex | ( |  | ) | const

## MinimumCoordinate()

double ON_4dPoint::MinimumCoordinate | ( |  | ) | const

## MinimumCoordinateIndex()

int ON_4dPoint::MinimumCoordinateIndex | ( |  | ) | const

## Normalize()

bool ON_4dPoint::Normalize | ( |  | ) |

## operator const double *()

ON_4dPoint::operator const double * | ( |  | ) | const

## operator double *()

ON_4dPoint::operator double * | ( |  | ) |

## operator!=()

bool ON_4dPoint::operator!= | ( | const ON_4dPoint & |  | ) | const

## operator*() [1/3]

ON_4dPoint ON_4dPoint::operator* | ( | double |  | ) | const

## operator*() [2/3]

double ON_4dPoint::operator* | ( | const ON_4dPoint & |  | ) | const

## operator*() [3/3]

ON_4dPoint ON_4dPoint::operator* | ( | const ON_Xform & |  | ) | const

## operator*=()

ON_4dPoint& ON_4dPoint::operator*= | ( | double |  | ) |

## operator+()

ON_4dPoint ON_4dPoint::operator+ | ( | const ON_4dPoint & |  | ) | const

## operator+=()

ON_4dPoint& ON_4dPoint::operator+= | ( | const ON_4dPoint & |  | ) |

## operator-()

ON_4dPoint ON_4dPoint::operator- | ( | const ON_4dPoint & |  | ) | const

## operator-=()

ON_4dPoint& ON_4dPoint::operator-= | ( | const ON_4dPoint & |  | ) |

## operator/()

ON_4dPoint ON_4dPoint::operator/ | ( | double |  | ) | const

## operator/=()

ON_4dPoint& ON_4dPoint::operator/= | ( | double |  | ) |

## operator=() [1/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const ON_2dPoint & |  | ) |

## operator=() [2/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const ON_3dPoint & |  | ) |

## operator=() [3/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const ON_2dVector & |  | ) |

## operator=() [4/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const ON_3dVector & |  | ) |

## operator=() [5/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const double * |  | ) |

## operator=() [6/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const class ON_2fPoint & |  | ) |

## operator=() [7/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const class ON_3fPoint & |  | ) |

## operator=() [8/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const class ON_4fPoint & |  | ) |

## operator=() [9/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const class ON_2fVector & |  | ) |

## operator=() [10/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const class ON_3fVector & |  | ) |

## operator=() [11/11]

ON_4dPoint& ON_4dPoint::operator= | ( | const float * |  | ) |

## operator==()

bool ON_4dPoint::operator== | ( | ON_4dPoint |  | ) | const

## operator[]() [1/4]

double& ON_4dPoint::operator[] | ( | int |  | ) |

## operator[]() [2/4]

double ON_4dPoint::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

double& ON_4dPoint::operator[] | ( | unsigned | int | ) |

## operator[]() [4/4]

double ON_4dPoint::operator[] | ( | unsigned | int | ) | const

## Set()

void ON_4dPoint::Set | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | w
| ) |  |

## Transform()

void ON_4dPoint::Transform | ( | const ON_Xform & |  | ) |

## Zero()

void ON_4dPoint::Zero | ( |  | ) |

## Member Data Documentation

## w

double ON_4dPoint::w

Definition at line 575 of file opennurbs_point.h.

## x

double ON_4dPoint::x

Definition at line 575 of file opennurbs_point.h.

## y

double ON_4dPoint::y

Definition at line 575 of file opennurbs_point.h.

## z

double ON_4dPoint::z

Definition at line 575 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_point.h